Package org.gradle.ide.xcode

# Interface XcodeRootExtension

All Superinterfaces:
  `XcodeExtension`

public interface XcodeRootExtension extends XcodeExtension
The configuration for mapping a C++ or Swift project to XCode project and workspace.

Since:
  4.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XcodeWorkspace`
  `getWorkspace()`
  Returns the generated Xcode workspace for this Gradle build.

  ### Methods inherited from interface org.gradle.ide.xcode.XcodeExtension

  `getProject`

- ## Method Details

  - ### getWorkspace

    XcodeWorkspace getWorkspace()
    Returns the generated Xcode workspace for this Gradle build.